跳到主要内容

酒店

Room types of a hotel. Pass any `rateKey` from the same search so the right supplier answers.

get/v1/hotels/{hotelCode}/rooms

  • 需要身份验证

参数

名称位置类型说明
hotelCode*路径string
rateKey查询string

响应

200OKHotelRoomsResponse

  • hotelCodestring
  • hotelNamestring可为 null
  • HotelRoom[]
    • namestring可为 null
    • bedTypestring可为 null
    • HotelRate[]
  • RoomType[]
    • codestring可为 null
    • namestring可为 null
    • bedTypestring可为 null
    • maxOccupancyinteger (int32)

代码示例

完整的程序,按网关的验证方式对请求进行签名。请替换 YOUR_KEY_ID 和 YOUR_SECRET。

# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'GET\n/v1/hotels/H-AE-CREEKSUITES-GTQS1/rooms\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')

curl -X GET "https://api.dubaitrip.com/v1/hotels/H-AE-CREEKSUITES-GTQS1/rooms" \
  -H "X-API-Key: $KEY_ID" \
  -H "X-Timestamp: $TS" \
  -H "X-Nonce: $NONCE" \
  -H "X-Signature: $SIG" \
  -H "Accept: application/json"